org.apache.tinkerpop.gremlin.structure.util.reference

## Class ReferenceVertexTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.util.reference.ReferenceVertexTest

-     public class ReferenceVertexTest
      extends AbstractGremlinTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceVertexTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAttachToGraph()`
    `void` | `shouldAttachToVertex()`
    `void` | `shouldConstructReferenceVertex()`
    `void` | `shouldDetachCollections()`
    `void` | `shouldEvaluateToEqualForVerticesAndDetachments()`
    `void` | `shouldHashAndEqualCorrectly()`
    `void` | `shouldHaveSameHashCode()`
    `void` | `shouldNotAllowAddEdge()`
    `void` | `shouldNotAllowRemove()`
    `void` | `shouldNotAllowSetProperty()`
    `void` | `shouldNotConstructNewWithSomethingAlreadyDetached()`
    `void` | `shouldNotEvaluateToEqualDifferentId()`
    `void` | `shouldNotHaveAnyEdges()`
    `void` | `shouldNotHaveAnyProperties()`
    `void` | `shouldNotHaveAnyVertices()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceVertexTest

          public ReferenceVertexTest()

  - ### Method Detail

    - #### shouldHashAndEqualCorrectly

          public void shouldHashAndEqualCorrectly()

    - #### shouldNotConstructNewWithSomethingAlreadyDetached

          public void shouldNotConstructNewWithSomethingAlreadyDetached()

    - #### shouldConstructReferenceVertex

          public void shouldConstructReferenceVertex()

    - #### shouldEvaluateToEqualForVerticesAndDetachments

          public void shouldEvaluateToEqualForVerticesAndDetachments()

    - #### shouldHaveSameHashCode

          public void shouldHaveSameHashCode()

    - #### shouldAttachToGraph

          public void shouldAttachToGraph()

    - #### shouldAttachToVertex

          public void shouldAttachToVertex()

    - #### shouldNotEvaluateToEqualDifferentId

          public void shouldNotEvaluateToEqualDifferentId()

    - #### shouldNotAllowAddEdge

          public void shouldNotAllowAddEdge()

    - #### shouldNotAllowSetProperty

          public void shouldNotAllowSetProperty()

    - #### shouldNotAllowRemove

          public void shouldNotAllowRemove()

    - #### shouldNotHaveAnyProperties

          public void shouldNotHaveAnyProperties()

    - #### shouldNotHaveAnyEdges

          public void shouldNotHaveAnyEdges()

    - #### shouldNotHaveAnyVertices

          public void shouldNotHaveAnyVertices()

    - #### shouldDetachCollections

          public void shouldDetachCollections()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.